Loading...
Searching...
No Matches
auth::TacPlusManager Interface Reference

TACACS+ server configuration interface. More...

`import <TacPlusManager.idl;`

## Classes

struct | ServerSettings
| Server settings. More...

## Public Types

enum | AuthenType { ASCII , PAP , CHAP , MSCHAP }
| TACACS+ authentication type. More...

## Public Member Functions

vector< ServerSettings > | getTacPlusServers ()
| Get a list of TACACS+ server settings.
int | setTacPlusServers (in vector< ServerSettings > serverList)
| Sets a list of TACACS+ servers.
int | testTacPlusServer (in string username, in string password, in ServerSettings settings)
| Tests an TACACS+ server configuration.

## Public Attributes

constant int | ERR_INVALID_CFG = 1
| The server configuration is invalid.
constant int | ERR_SERVER_UNSPECIFIED = 2
| Unspecified error.
constant int | ERR_INVALID_SHARED_SECRET = 3
| The shared secret is invalid.
constant int | ERR_SERVER_UNREACHABLE = 4
| TACACS+ server could not be contacted.
constant int | ERR_AUTHENTICATION_FAILED = 5
| User could not be authenticated.
constant int | ERR_NO_ROLES = 6
| No roles are defined for the user.
constant int | ERR_NO_KNOWN_ROLES = 7
| No known rules are defined for the user.

## Detailed Description

TACACS+ server configuration interface.

Definition at line 10 of file TacPlusManager.idl.

## Member Enumeration Documentation

## AuthenType

enum auth::TacPlusManager::AuthenType

TACACS+ authentication type.

Enumerator
ASCII | Plain text authentication.
PAP | PAP authentication.
CHAP | CHAP authentication.
MSCHAP | MSCHAP authentication.

Definition at line 13 of file TacPlusManager.idl.

## Member Function Documentation

## getTacPlusServers()

vector< ServerSettings > auth::TacPlusManager::getTacPlusServers | ( |  | ) |

Get a list of TACACS+ server settings.

Returns
  list of ServerSettings

## setTacPlusServers()

int auth::TacPlusManager::setTacPlusServers | ( | in vector< ServerSettings > | serverList | ) |

Sets a list of TACACS+ servers.

Any existing TACACS+ Server configuration will be cleared / overwritten.

Returns
  0 on success
  `ERR_INVALID_CFG` in case of invalid configuration

## testTacPlusServer()

int auth::TacPlusManager::testTacPlusServer | ( | in string | username,
|  | in string | password,
|  | in ServerSettings | settings )

Tests an TACACS+ server configuration.

Returns
  0 on success
  `ERR_SERVER_UNSPECIFIED` an unspecified error occurred
  `ERR_INVALID_CFG` server configuration is invalid (reused from setTacPlusServers)
  `ERR_INVALID_SHARED_SECRET` the shared secret is invalid
  `ERR_SERVER_UNREACHABLE` TACACS+ server could not be contacted
  `ERR_AUTHENTICATION_FAILED` user could not be authenticated
  `ERR_NO_ROLES` no roles are defined for the user
  `ERR_NO_KNOWN_ROLES` no known roles are defined for the user

## Member Data Documentation

## ERR_AUTHENTICATION_FAILED

constant int auth::TacPlusManager::ERR_AUTHENTICATION_FAILED = 5

User could not be authenticated.

Definition at line 35 of file TacPlusManager.idl.

## ERR_INVALID_CFG

constant int auth::TacPlusManager::ERR_INVALID_CFG = 1

The server configuration is invalid.

Definition at line 31 of file TacPlusManager.idl.

## ERR_INVALID_SHARED_SECRET

constant int auth::TacPlusManager::ERR_INVALID_SHARED_SECRET = 3

The shared secret is invalid.

Definition at line 33 of file TacPlusManager.idl.

## ERR_NO_KNOWN_ROLES

constant int auth::TacPlusManager::ERR_NO_KNOWN_ROLES = 7

No known rules are defined for the user.

Definition at line 37 of file TacPlusManager.idl.

## ERR_NO_ROLES

constant int auth::TacPlusManager::ERR_NO_ROLES = 6

No roles are defined for the user.

Definition at line 36 of file TacPlusManager.idl.

## ERR_SERVER_UNREACHABLE

constant int auth::TacPlusManager::ERR_SERVER_UNREACHABLE = 4

TACACS+ server could not be contacted.

Definition at line 34 of file TacPlusManager.idl.

## ERR_SERVER_UNSPECIFIED

constant int auth::TacPlusManager::ERR_SERVER_UNSPECIFIED = 2

Unspecified error.

Definition at line 32 of file TacPlusManager.idl.

The documentation for this interface was generated from the following file:

- TacPlusManager.idl